      SUBROUTINE SETDAT(IO)
C   ==================================================================
C   ===                                                            ===
C   ===    This subroutine finds time and date and stores in       ===
C   ===                  character variable DATE                   ===
C   ===                                                            ===
C   ===    ATTENTION - non-standard library call `cstr2fstr'       ===
C   ===                  Meiko Fortran version                     ===
C   ===                                                            ===
C   ===                       mab - Nov, 92                        ===
C   ==================================================================

CC-non-standard
      EXTERNAL _Fortran_Date
      CHARACTER  BUF *30, DATE *30


CC-non-standard
      
      CALL _Fortran_Date(BUF)
      CALL cstr2fstr(DATE, BUF)
      WRITE(IO,*)'   This run started ', DATE

      END
